# -*- coding: utf-8 -*-
require 'sidfm_controller_support'

class SidfmSystemSettingController < ApplicationController

  unloadable

  layout 'sidfm'
 
  self.main_menu = false

  helper :sidfm
  protect_from_forgery with: :exception
  include SidfmControllerSupport
  before_action :create_common_data
  before_action :get_sidfm_roles
  before_action :check_roles

  def check_roles
    if !@sidfm_roles.include?(:admin) then
      redirect_to :action => :index, :notice => '許可されていない操作です。'
    end
  end
  
  def index
  
  end

  def modify_url
    form_params = params.fetch(:form, {}).permit(:url, :protocol)
    url = form_params[:url]
    protocol = form_params[:protocol]
    if !url || url == "" then
      redirect_to :action => :index, :notice => 'ホスト名とパスが入力されていません。' and return
    end
    if !protocol || (protocol != 'http' && protocol != 'https') then
      redirect_to :action => :index, :notice => 'プロトコルが不正です。' and return
    end  
    begin 
      Setting.transaction do
        Setting.protocol = protocol
        Setting.host_name = url
      end
    rescue Exception => e
      log_exception(e)
      redirect_to :action => :index, :notice => 'URLの変更に失敗しました。' and return
    end
    redirect_to :action => :index
  end
  
  def modify_mail_address
    form_params = params.fetch(:form, {}).permit(:mail_address)
    mail_address = form_params[:mail_address]
    if !mail_address.match(/\A([^@\s]+)@((?:[-a-z0-9]+\.)+[a-z]{2,})\z/i) then
      redirect_to :action => :index, :notice => 'メールアドレスが不正です。' and return
    end
    begin
      Setting.transaction do
        Setting.mail_from = mail_address
      end
    rescue Exception => e
      log_exception(e)
      redirect_to :action => :index, :notice => 'メールアドレスの変更に失敗しました。' and return
    end
    redirect_to :action => :index
  end

end
