# -*- coding: utf-8 -*-

# SIDfm VM API
class SidfmVmApiController < ApplicationController
  unloadable

  layout false

  protect_from_forgery :except => [ :index ]

  before_action :authorize, :exception => [ :index ]

  private

  def authorize
    # アクセスキー確認
  end

  public

  # 生死確認
  def index
    render :json => { :success => true }
  end

  # アクセスキー取得
  # 期限付きのアクセスキーを取得する
  def auth
    render :json => { :success => false }
  end

  # カテゴリ一覧
  def categories
    render :json => { :success => false }
  end

  # ホスト一覧
  def hosts
    render :json => { :success => false }
  end

  # ホスト-脆弱性一覧
  def vulnerabilities_by_host
    render :json => { :success => false }
  end

  # 脆弱性一覧
  def vulnerabilities
    render :json => { :success => false }
  end

  # 脆弱性-ホスト一覧
  def hosts_by_vulnerability
    render :json => { :success => false }
  end

  # 履歴一覧
  def journals
    render :json => { :success => false }
  end

end
