#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class SidfmdCategoriesHost < ActiveRecord::Base
  belongs_to :sidfmd_category
  belongs_to :sidfmd_host

  scope :categories, -> (host){ where(:sidfmd_host => host) }
  scope :hosts, -> (category){ where(:sidfmd_category => category) }

  scope :system_categories, ->{ joins(:sidfmd_category).where('sidfmd_category_id IN (?)', SidfmdCategory.system.select(:id).to_a) }
  scope :enable_hosts, ->{ joins(:sidfmd_host).where(:sidfmd_hosts => { :flg_delete => false }) }
  scope :enable_category_hosts, -> { where(:sidfmd_category_id => SidfmdCategory.system.select(:id).to_a) }

  # カテゴリ毎のホスト数を返す。
  def self.distribution_host(category_id = 0)
    cnt = SidfmdCategoriesHost.enable_hosts.enable_category_hosts.system_categories
    if category_id > 0 then
      cnt = cnt.where(:sidfmd_category_id => category_id)
    end
    dist = cnt.group(:sidfmd_category_id).count
    ret = {}
    [ :public_server, :private_server, :mobile, :client, :shared_server,
      :virtual_host_server, :public_network,
      :private_network ].each_with_index do |k, i|
      ret[k] = dist[i + 1] ? dist[i + 1] : 0
    end
    ret
  end

end
