/* -*- coding: utf-8 -*- */
/* Copyright (C) 2018 SofTek Systems, Inc. */

// ダッシュボード

function graph_vuls_number_cvss() {
    var stats = $('#data_dashboard_cvss_vuls_number');
    if (stats.length <= 0) { return; }
    stats = JSON.parse(stats.val());
    var trace = {
	x: stats['cvss_risk_ids'].map(function(v, i) {
	    return stats['cvss_cnt'][v];
	}),
	y: stats['cvss_risk_ids'].map(function(v, i) {
	    return stats['cvss_names'][v];
	}),
	labels: stats['cvss_risk_ids'],
	type: 'bar',
	stream: { maxpoints: 10000 },
	orientation: 'h',
	marker: {
	    color: stats['cvss_risk_ids'].map(function(v, i) {
		return $('#color_cvss_' + v).val();
	    })
	}
    };
    var data = [ trace ];
    var layout = {
	height: 180,
	width:  270,
	/*width: graph_width('#graph-risk'),*/
	margin: { l:90, r:10, b:40, t:8, pad:5 },
	paper_bgcolor: 'rgba(0,0,0,0)',
	showlegend: false,
	yaxis: { title: 'CVSS値', titlefont:{size:14} },
	xaxis: { title: '脆弱性数', titlefont:{size:14} }
    };
    var config = {
	displaylogo: false,
	displayModeBar: false
    };
    Plotly.newPlot('graph_dashboard_cvss_vuls_number', data, layout, config);
}

function graph_vuls_number_sri() {
    var stats = $('#data_dashboard_sri_vuls_number');
    if (stats.length <= 0) { return; }
    stats = JSON.parse(stats.val());
    var trace = {
	x: stats['sri_risk_ids'].map(function(v, i) {
	    return stats['sri_cnt'][v];
	}),
	y: stats['sri_risk_ids'].map(function(v, i) {
	    return stats['sri_names'][v]['name'];
	}),
	type: 'bar',
	orientation: 'h',
	marker: {
	    color: stats['sri_risk_ids'].map(function(v, i) {
		return $('#color_sri_' + stats['sri_names'][v]['label']).val();
	    })
	}
    };
    var data = [ trace ];
    var layout = {
	height: 180,
	width:  270,
	/*width: graph_width('#graph_dashboard_sri_vuls_number'),*/
	margin: { l:50, r:10, b:40, t:8, pad:5 },
	paper_bgcolor: 'rgba(0,0,0,0)',
	showlegend: false,
	yaxis: { title: 'SRI値', titlefont:{size:14} },
	xaxis: { title: '脆弱性数', titlefont:{size:14} },
    };
    var config = {
	displaylogo: false,
	displayModeBar: false
    };
    Plotly.newPlot('graph_dashboard_sri_vuls_number', data, layout, config);
}

function graph_hosts_number_cvss() {
    var stats = $('#data_dashboard_cvss_hosts_number');
    if (stats.length <= 0) { return; }
    stats = JSON.parse(stats.val());
    var trace = {
	x: stats['cvss_risk_ids'].map(function(v, i) {
	    return stats['cvss_cnt'][v];
	}),
	y: stats['cvss_risk_ids'].map(function(v, i) {
	    return stats['cvss_names'][v];
	}),
	type: 'bar',
	stream: { maxpoints: 10000 },
	orientation: 'h',
	marker: {
	    color: stats['cvss_risk_ids'].map(function(v, i) {
		return $('#color_cvss_' + v).val();
	    })
	}
    };
    var data = [ trace ];
    var layout = {
	height: 180,
	width:  270,
	/*width: graph_width('#graph-risk'),*/
	margin: { l:90, r:10, b:40, t:8, pad:5 },
	paper_bgcolor: 'rgba(0,0,0,0)',
	showlegend: false,
	yaxis: { title: 'CVSS値', titlefont:{size:14} },
	xaxis: { title: 'ホスト数', titlefont:{size:14} }
    };
    var config = {
	displaylogo: false,
	displayModeBar: false
    };
    Plotly.newPlot('graph_dashboard_cvss_hosts_number', data, layout, config);
}

function graph_hosts_number_sri() {
    var stats = $('#data_dashboard_sri_hosts_number');
    if (stats.length <= 0) { return; }
    stats = JSON.parse(stats.val());
    var trace = {
	x: stats['sri_risk_ids'].map(function(v, i) {
	    return stats['sri_cnt'][v];
	}),
	y: stats['sri_risk_ids'].map(function(v, i) {
	    return stats['sri_names'][v]['name'];
	}),
	type: 'bar',
	orientation: 'h',
	marker: {
	    color: stats['sri_risk_ids'].map(function(v, i) {
		return $('#color_sri_' + stats['sri_names'][v]['label']).val();
	    })
	}
    };
    var data = [ trace ];
    var layout = {
	height: 180,
	width:  270,
	/*width: graph_width('#graph_dashboard_sri_hosts_number'),*/
	margin: { l:50, r:10, b:40, t:8, pad:5 },
	paper_bgcolor: 'rgba(0,0,0,0)',
	showlegend: false,
	yaxis: { title: '最大SRI値', titlefont:{size:14} },
	xaxis: { title: 'ホスト数', titlefont:{size:14} },
    };
    var config = {
	displaylogo: false,
	displayModeBar: false
    };
    Plotly.newPlot('graph_dashboard_sri_hosts_number', data, layout, config);
}

$(function() {

    //init_sidfm();
   enable_dropdown_balloon();

    (function() {
	$('.idxbtns-change').removeClass('active');
	$('.idxbtns-change > input').prop('checked', false);
	var idx = $('#pages_idx').val();
	if (idx) {
	    $('#idxbtns-' + idx).addClass('active');
	    $('#idxbtns-' + idx + ' > input').prop('checked', false);
	}
    })();

    $('.idxbtns-change').on('click', function() {
	var button = $(this);
	var target = button.data('target');
	$('#pages_idx').val(target);
	$('#pages_form').submit();
	return true;
    });

    (function() {
	var idx = $('#pages_idx').val();
	if (!idx) { idx = 'sri'; }
	if (idx == 'sri') {
	    graph_vuls_number_sri();
	    graph_hosts_number_sri();
	} else if (idx == 'cvss') {
	    graph_vuls_number_cvss();
	    graph_hosts_number_cvss();
	}
	$('#graph_dashboard_' + idx + '_hosts_number').on('plotly_click', function(e) {
	    console.log(e);
	});
	$('#graph_dashboard_' + idx + '_vuls_number').on('plotly_click', function(e) {
	    console.log(e);
	});
    })();

    $('.area-link').on('click', function() {
	var target = $(this);
	var url = $(this).data('url');
	location.href = url;
	return false;
    });

    activate_sidebar_item('sidebar-item-dashboard');

});
