#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class FixCategories < ActiveRecord::Migration

  def up
    SidfmdCategory.transaction do
      c = {
        :shared => { :id => 3 },
        :mobile => { :id => 4 },
        :client => { :id => 5 },
      }
      c.each_key do |key|
        m = SidfmdCategory.find(c[key][:id])
        c[key][:attr] = m.attributes
        c[key][:attr].delete('id')
        c[key][:sch_ids] = SidfmdCategoriesHost.where(:sidfmd_category_id => c[key][:id]).collect {|x| x.id }
      end

      SidfmdCategory.find(c[:shared][:id]).update_attributes c[:mobile][:attr]
      SidfmdCategory.find(c[:mobile][:id]).update_attributes c[:client][:attr]
      SidfmdCategory.find(c[:client][:id]).update_attributes c[:shared][:attr]

      SidfmdCategoriesHost.where(:id => c[:shared][:sch_ids]).update_all(:sidfmd_category_id => c[:client][:id])
      SidfmdCategoriesHost.where(:id => c[:mobile][:sch_ids]).update_all(:sidfmd_category_id => c[:shared][:id])
      SidfmdCategoriesHost.where(:id => c[:client][:sch_ids]).update_all(:sidfmd_category_id => c[:mobile][:id])
    end
  end

  def down
    SidfmdCategory.transaction do
      c = {
        :mobile => { :id => 3 },
        :client => { :id => 4 },
        :shared => { :id => 5 },
      }
      c.each_key do |key|
        m = SidfmdCategory.find(c[key][:id])
        c[key][:attr] = m.attributes
        c[key][:attr].delete('id')
        c[key][:sch_ids] = SidfmdCategoriesHost.where(:sidfmd_category_id => c[key][:id]).collect {|x| x.id }
      end

      SidfmdCategory.find(c[:mobile][:id]).update_attributes c[:shared][:attr]
      SidfmdCategory.find(c[:client][:id]).update_attributes c[:mobile][:attr]
      SidfmdCategory.find(c[:shared][:id]).update_attributes c[:client][:attr]

      SidfmdCategoriesHost.where(:id => c[:mobile][:sch_ids]).update_all(:sidfmd_category_id => c[:client][:id])
      SidfmdCategoriesHost.where(:id => c[:client][:sch_ids]).update_all(:sidfmd_category_id => c[:shared][:id])
      SidfmdCategoriesHost.where(:id => c[:shared][:sch_ids]).update_all(:sidfmd_category_id => c[:mobile][:id])
    end
  end

end
