# -*- coding: utf-8 -*-

Dir[File.expand_path('../lib/sidfm', __FILE__) << '/*.rb'].each do |file|
  require_dependency file
end

if Rack::Utils.respond_to?(:'key_space_limit=') then
  Rack::Utils.key_space_limit = 262144
end

Redmine::Plugin.register :sidfm do
  name 'SIDfm VM'
  author 'SofTek Systems, Inc.'
  description 'SIDfm VM - Vulneraiblities Manager'
  version File.open('/sidfmvm-version').read.chomp
  url 'https://www.softek.co.jp/'
  author_url 'https://www.softek.co.jp/'

  project_module :sidfm do
    # 閲覧権限
    permission :view_sidfm, :sidfm => [ :index ]
    # 利用権限
    permission :use_sidfm, :sidfm => [ :index ]
    # 管理権限
    permission :admin_sidfm, :sidfm => [ :index ]
  end

  menu :top_menu, :sidfm_top, { :controller => :sidfm, :action => :index }, :caption => 'SIDfm'

end
