#!/bin/bash

# usage: vminit.sh <enable|disable>

flag=$1

# definition
HTTPDBASE=/etc/httpd/conf.d
RMBASE=/var/lib/redmine
VMBASE=${RMBASE}/plugins/sidfm-vm-server
LAYOUTS_DIR=${RMBASE}/app/views/layouts
CONFIG_DIR=${RMBASE}/config

# permanent
[ ! -L ${RMBASE}/plugins/sidfm ] && ln -sf ${RMBASE}/plugins/sidfm-vm-server/ROR/sidfm ${RMBASE}/plugins/sidfm
[ ! -L /db_manage ] && ln -sf ${VMBASE}/ROR/bin/db_manage_invoke /db_manage
[ ! -L /proxy_manage ] && ln -sf ${VMBASE}/ROR/bin/proxy_manage_invoke /proxy_manage
[ ! -L /mail_manage ] && ln -sf ${VMBASE}/ROR/bin/mail_manage_invoke /mail_manage
[ ! -L /murl_mamage ] && ln -sf ${VMBASE}/ROR/bin/murl_manage_invoke /murl_manage
[ ! -L /vm_manage ] && ln -sf ${VMBASE}/ROR/bin/vm_manage.sh /vm_manage
[ ! -L /vm_server ] && ln -sf ${VMBASE}/ROR/bin/vm_server.sh /vm_server
[ ! -f /vm.config ] && cp -f ${VMBASE}/ROR/config/vm.config /
[ ! -f /ca ] && ln -sf ${VMBASE}/ROR/bin/ca.sh /ca
cp -f ${VMBASE}/ROR/bin/update_manage.sh /update_manage
cp -f ${VMBASE}/ROR/sidfm/sidfmvm-version /

# switchable
if [ "${flag}" = "enable" ]; then
    TMPPATH=${LAYOUTS_DIR}/sidfm.html.erb
    if [ ! -f ${TMPPATH} ]; then
	ln -sf ${VMBASE}/ROR/layout/sidfm.html.erb ${LAYOUTS_DIR}/
    fi
    TMPPATH=${LAYOUTS_DIR}/base.html.erb
    if [ -f ${TMPPATH} -a ! -L ${TMPPATH} ]; then
	mv -f ${TMPPATH} ${TMPPATH}.orig
	ln -sf ${VMBASE}/ROR/layout/base.html.erb ${LAYOUTS_DIR}/
    fi
    TMPPATH=${CONFIG_DIR}/application.rb
    if [ -f ${TMPPATH} -a ! -L ${TMPPATH} ]; then
	mv -f ${TMPPATH} ${TMPPATH}.orig
	ln -sf ${VMBASE}/ROR/config/application.rb ${CONFIG_DIR}/
    fi
    TMPPATH=${HTTPDBASE}/welcome.conf
    if [ -f ${TMPPATH} -a ! -L ${TMPPATH} ]; then
	mv -f ${TMPPATH} ${TMPPATH}.orig
	ln -sf ${VMBASE}/ROR/config/welcome.conf ${HTTPDBASE}/
    fi
    TMPPATH=${RMBASE}/Gemfile
    if [ -f ${TMPPATH} -a ! -L ${TMPPATH} ]; then
	mv -f ${TMPPATH} ${TMPPATH}.orig
	ln -sf ${VMBASE}/ROR/config/Gemfile ${RMBASE}/
    fi
else
    TMPPATH=${LAYOUTS_DIR}/sidfm.html.erb
    if [ -f ${TMPPATH} ]; then
	rm -f ${TMPPATH}
    fi
    TMPPATH=${LAYOUTS_DIR}/base.html.erb
    if [ -L ${TMPPATH} -a -f ${TMPPATH}.orig ]; then
	rm -f ${TMPPATH}
	mv -f ${TMPPATH}.orig ${TMPPATH}
    fi
    TMPPATH=${CONFIG_DIR}/application.rb
    if [ -L ${TMPPATH} -a -f ${TMPPATH}.orig ]; then
	rm -f ${TMPPATH}
	mv -f ${TMPPATH}.orig ${TMPPATH}
    fi
    TMPPATH=${HTTPDBASE}/welcome.conf
    if [ -L ${TMPPATH} -a -f ${TMPPATH}.orig ]; then
	rm -f ${TMPPATH}
	mv -f ${TMPPATH}.orig ${TMPPATH}
    fi
    TMPPATH=${RMBASE}/Gemfile
    if [ -L ${TMPPATH} -a -f ${TMPPATH}.orig ]; then
	rm -f ${TMPPATH}
	mv -f ${TMPPATH}.orig ${TMPPATH}
    fi
fi
