# -*- coding: utf-8 -*-

class ModifySidfmdRuleConds2 < ActiveRecord::Migration

  def change
    # true=exploitable, false=not exploitable, null=ignore exploitable
    add_column :sidfmd_rule_c_cvss_aboves, :exploitable, :boolean
    add_column :sidfmd_rule_c_cvss_belows, :exploitable, :boolean

    # アプリケーション適合
    create_table :sidfmd_rule_c_match_apps do |t|
      t.references :sidfmd_rule_cond, foreign_key: true, index: true, null: false
      
      # false=指定したホストのみ true=指定したホスト以外
      t.boolean :inv, null: false, default: false
    end

    # アプリケーション適合のアプリ登録用サブテーブル
    create_table :sidfmd_rule_cm_app_subs do |t|
      t.references :sidfmd_rule_c_match_app, foreign_key: true, index: true, null: false

      t.integer :product_id
      t.integer :version_id
    end

    # ステータスチェック
    create_table :sidfmd_rule_c_statuses do |t|
      t.references :sidfmd_rule_cond, foreign_key: true, index: true, null: false

      t.integer :status_id1, null: false
      t.integer :status_id2
    end

  end

end
